--- Makefile
+++ Makefile	2007-05-31 17:06:20.606915173 +0200
@@ -399,7 +399,7 @@ install-languages:
 	  cd $$LIBDIR; \
 	  if [ $$MASTERHASH != $$DEFHASH ]; then \
 	    rm -f $$DEFHASH; \
-	    $$LINK $$MASTERHASH $$DEFHASH; \
+	    $$LINK -s $$MASTERHASH $$DEFHASH; \
 	  fi
 
 munchable:	findaffix tryaffix munchlist buildhash ispell icombine
@@ -653,7 +653,7 @@ msgs.h:	config.sh FRC
 	    :; \
 	  else \
 	    set -x; \
-	    rm -f msgs.h; $$LINK $$msgs msgs.h  ||  cp $$msgs msgs.h; \
+	    rm -f msgs.h; $$LINK -s $$msgs msgs.h  ||  cp $$msgs msgs.h; \
 	  fi
 
 FRC:
--- languages/altamer/Makefile
+++ languages/altamer/Makefile	2007-05-31 17:14:22.782151761 +0200
@@ -164,7 +164,7 @@ install:	all $(CONFIG) $(DICTSRC)/englis
 	  cd ../..; cd $$LIBDIR; \
 	  chmod 644 english.aff $(HASHFILES); \
 	  for i in $(HASHFILES); do \
-	    $$LINK $$i $(LANGUAGE).hash; \
+	    $$LINK -s $$i $(LANGUAGE).hash; \
 	    break; \
 	  done
 	@. $(CONFIG); \
@@ -261,7 +261,7 @@ $(DBUILD)altamer.sml:	$(DBUILD)english.s
 	rm -f altamer.sml
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml altamer.sml
+	  $$LINK -s english.sml altamer.sml
 
 $(DBUILD)english.sml:	$(CONFIG)
 $(DBUILD)english.sml:	english.0
@@ -276,7 +276,7 @@ $(DBUILD)altamer.sml+:	$(DBUILD)english.
 	rm -f altamer.sml+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml+ altamer.sml+
+	  $$LINK -s english.sml+ altamer.sml+
 
 $(DBUILD)english.sml+:	$(CONFIG)
 $(DBUILD)english.sml+:	english.0
@@ -291,7 +291,7 @@ $(DBUILD)altamer.med:	$(DBUILD)english.m
 	rm -f altamer.med
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med altamer.med
+	  $$LINK -s english.med altamer.med
 
 $(DBUILD)english.med:	$(CONFIG)
 $(DBUILD)english.med:	english.0
@@ -306,7 +306,7 @@ $(DBUILD)altamer.med+:	$(DBUILD)english.
 	rm -f altamer.med+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med+ altamer.med+
+	  $$LINK -s english.med+ altamer.med+
 
 $(DBUILD)english.med+:	$(CONFIG)
 $(DBUILD)english.med+:	english.0
@@ -321,7 +321,7 @@ $(DBUILD)altamer.lrg:	$(DBUILD)english.l
 	rm -f altamer.lrg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg altamer.lrg
+	  $$LINK -s english.lrg altamer.lrg
 
 $(DBUILD)english.lrg:	$(CONFIG)
 $(DBUILD)english.lrg:	english.0
@@ -336,7 +336,7 @@ $(DBUILD)altamer.lrg+:	$(DBUILD)english.
 	rm -f altamer.lrg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg+ altamer.lrg+
+	  $$LINK -s english.lrg+ altamer.lrg+
 
 $(DBUILD)english.lrg+:	$(CONFIG)
 $(DBUILD)english.lrg+:	english.0
@@ -351,7 +351,7 @@ $(DBUILD)altamer.xlg:	$(DBUILD)english.x
 	rm -f altamer.xlg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg altamer.xlg
+	  $$LINK -s english.xlg altamer.xlg
 
 $(DBUILD)english.xlg:	$(CONFIG)
 $(DBUILD)english.xlg:	english.0
@@ -366,7 +366,7 @@ $(DBUILD)altamer.xlg+:	$(DBUILD)english.
 	rm -f altamer.xlg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg+ altamer.xlg+
+	  $$LINK -s english.xlg+ altamer.xlg+
 
 $(DBUILD)english.xlg+:	$(CONFIG)
 $(DBUILD)english.xlg+:	english.0
@@ -406,7 +406,7 @@ $(CBUILD)english.0 $(CBUILD)english.1 $(
 	for i in english.0 english.1 english.2 english.3 \
 	  american.0 american.1 american.2 altamer.0 altamer.1 altamer.2 \
 	  british.0 british.1 british.2; do \
-	    $$LINK $(DICTSRC)/$$i .  || $$LINK $(DICTSRC)/$$i . \
+	    $$LINK -s $(DICTSRC)/$$i .  || $$LINK -s $(DICTSRC)/$$i . \
 	      ||  cp $(DICTSRC)/$$i .; \
 	done
 
--- languages/american/Makefile
+++ languages/american/Makefile	2007-05-31 17:14:55.169592468 +0200
@@ -167,7 +167,7 @@ install:	all $(CONFIG) $(DICTSRC)/englis
 	  cd ../..; cd $$LIBDIR; \
 	  chmod 644 english.aff $(HASHFILES); \
 	  for i in $(HASHFILES); do \
-	    $$LINK $$i $(LANGUAGE).hash; \
+	    $$LINK -s $$i $(LANGUAGE).hash; \
 	    break; \
 	  done
 	@. $(CONFIG); \
@@ -264,7 +264,7 @@ $(DBUILD)american.sml:	$(DBUILD)english.
 	rm -f american.sml
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml american.sml
+	  $$LINK -s english.sml american.sml
 
 $(DBUILD)english.sml:	$(CONFIG)
 $(DBUILD)english.sml:	english.0
@@ -278,7 +278,7 @@ $(DBUILD)american.sml+:	$(DBUILD)english
 	rm -f american.sml+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml+ american.sml+
+	  $$LINK -s english.sml+ american.sml+
 
 $(DBUILD)english.sml+:	$(CONFIG)
 $(DBUILD)english.sml+:	english.0
@@ -292,7 +292,7 @@ $(DBUILD)american.med:	$(DBUILD)english.
 	rm -f american.med
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med american.med
+	  $$LINK -s english.med american.med
 
 $(DBUILD)english.med:	$(CONFIG)
 $(DBUILD)english.med:	english.0
@@ -306,7 +306,7 @@ $(DBUILD)american.med+:	$(DBUILD)english
 	rm -f american.med+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med+ american.med+
+	  $$LINK -s english.med+ american.med+
 
 $(DBUILD)english.med+:	$(CONFIG)
 $(DBUILD)english.med+:	english.0
@@ -320,7 +320,7 @@ $(DBUILD)american.lrg:	$(DBUILD)english.
 	rm -f american.lrg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg american.lrg
+	  $$LINK -s english.lrg american.lrg
 
 $(DBUILD)english.lrg:	$(CONFIG)
 $(DBUILD)english.lrg:	english.0
@@ -334,7 +334,7 @@ $(DBUILD)american.lrg+:	$(DBUILD)english
 	rm -f american.lrg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg+ american.lrg+
+	  $$LINK -s english.lrg+ american.lrg+
 
 $(DBUILD)english.lrg+:	$(CONFIG)
 $(DBUILD)english.lrg+:	english.0
@@ -348,7 +348,7 @@ $(DBUILD)american.xlg:	$(DBUILD)english.
 	rm -f american.xlg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg american.xlg
+	  $$LINK -s english.xlg american.xlg
 
 $(DBUILD)english.xlg:	$(CONFIG)
 $(DBUILD)english.xlg:	english.0
@@ -362,7 +362,7 @@ $(DBUILD)american.xlg+:	$(DBUILD)english
 	rm -f american.xlg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg+ american.xlg+
+	  $$LINK -s english.xlg+ american.xlg+
 
 $(DBUILD)english.xlg+:	$(CONFIG)
 $(DBUILD)english.xlg+:	english.0
@@ -401,7 +401,7 @@ $(CBUILD)english.0 $(CBUILD)english.1 $(
 	for i in english.0 english.1 english.2 english.3 \
 	  american.0 american.1 american.2 altamer.0 altamer.1 altamer.2 \
 	  british.0 british.1 british.2; do \
-	    $$LINK $(DICTSRC)/$$i .  || $$LINK $(DICTSRC)/$$i . \
+	    $$LINK -s $(DICTSRC)/$$i .  || $$LINK -s $(DICTSRC)/$$i . \
 	      ||  cp $(DICTSRC)/$$i .; \
 	done
 
--- languages/british/Makefile
+++ languages/british/Makefile	2007-05-31 17:15:36.501983304 +0200
@@ -167,7 +167,7 @@ install:	all $(CONFIG) $(DICTSRC)/englis
 	  cd ../..; cd $$LIBDIR; \
 	  chmod 644 english.aff $(HASHFILES); \
 	  for i in $(HASHFILES); do \
-	    $$LINK $$i $(LANGUAGE).hash; \
+	    $$LINK -s $$i $(LANGUAGE).hash; \
 	    break; \
 	  done
 	@. $(CONFIG); \
@@ -264,7 +264,7 @@ $(DBUILD)british.sml:	$(DBUILD)english.s
 	rm -f british.sml
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml british.sml
+	  $$LINK -s english.sml british.sml
 
 $(DBUILD)english.sml:	$(CONFIG)
 $(DBUILD)english.sml:	english.0
@@ -278,7 +278,7 @@ $(DBUILD)british.sml+:	$(DBUILD)english.
 	rm -f british.sml+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.sml+ british.sml+
+	  $$LINK -s english.sml+ british.sml+
 
 $(DBUILD)english.sml+:	$(CONFIG)
 $(DBUILD)english.sml+:	english.0
@@ -292,7 +292,7 @@ $(DBUILD)british.med:	$(DBUILD)english.m
 	rm -f british.med
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med british.med
+	  $$LINK -s english.med british.med
 
 $(DBUILD)english.med:	$(CONFIG)
 $(DBUILD)english.med:	english.0
@@ -306,7 +306,7 @@ $(DBUILD)british.med+:	$(DBUILD)english.
 	rm -f british.med+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.med+ british.med+
+	  $$LINK -s english.med+ british.med+
 
 $(DBUILD)english.med+:	$(CONFIG)
 $(DBUILD)english.med+:	english.0
@@ -320,7 +320,7 @@ $(DBUILD)british.lrg:	$(DBUILD)english.l
 	rm -f british.lrg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg british.lrg
+	  $$LINK -s english.lrg british.lrg
 
 $(DBUILD)english.lrg:	$(CONFIG)
 $(DBUILD)english.lrg:	english.0
@@ -334,7 +334,7 @@ $(DBUILD)british.lrg+:	$(DBUILD)english.
 	rm -f british.lrg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.lrg+ british.lrg+
+	  $$LINK -s english.lrg+ british.lrg+
 
 $(DBUILD)english.lrg+:	$(CONFIG)
 $(DBUILD)english.lrg+:	english.0
@@ -348,7 +348,7 @@ $(DBUILD)british.xlg:	$(DBUILD)english.x
 	rm -f british.xlg
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg british.xlg
+	  $$LINK -s english.xlg british.xlg
 
 $(DBUILD)english.xlg:	$(CONFIG)
 $(DBUILD)english.xlg:	english.0
@@ -362,7 +362,7 @@ $(DBUILD)british.xlg+:	$(DBUILD)english.
 	rm -f british.xlg+
 	@. $(CONFIG); \
 	  set -x; \
-	  $$LINK english.xlg+ british.xlg+
+	  $$LINK -s english.xlg+ british.xlg+
 
 $(DBUILD)english.xlg+:	$(CONFIG)
 $(DBUILD)english.xlg+:	english.0
@@ -401,7 +401,7 @@ $(CBUILD)english.0 $(CBUILD)english.1 $(
 	for i in english.0 english.1 english.2 english.3 \
 	  american.0 american.1 american.2 altamer.0 altamer.1 altamer.2 \
 	  british.0 british.1 british.2; do \
-	    $$LINK $(DICTSRC)/$$i .  || $$LINK $(DICTSRC)/$$i . \
+	    $$LINK -s $(DICTSRC)/$$i .  || $$LINK -s $(DICTSRC)/$$i . \
 	      ||  cp $(DICTSRC)/$$i .; \
 	done
 
--- languages/deutsch/Makefile
+++ languages/deutsch/Makefile	2007-05-31 17:20:24.956641899 +0200
@@ -101,8 +101,31 @@ FIX8BIT		=	../fix8bit
 # If you change DICTOPTIONS in your local.h file, you will have to do
 # "make dictclean" to clear out the old dictionary before you re-make.
 #
-DICTALWAYS	=	adjektive.txt worte.txt verben.txt
-DICTOPTIONS	=	Use_LANGUAGES_from_config.X
+DICTALWAYS	= worte.txt \
+		  verben.txt \
+		  adjektive.txt \
+		  klein.txt \
+		  imperat.txt \
+		  abkuerz.txt \
+		  vornamen.txt \
+		  geographie.txt \
+		  latein.txt \
+		  oesterreich.txt \
+		  informatik.txt \
+		  infoabk.txt \
+		  elektronik.txt \
+		  alphabeta.txt \
+		  roemisch.txt \
+		  orgabk.txt \
+		  marken.txt
+
+DICTXLARGE	= worte2.txt \
+		  zusammen.txt \
+		  technik.txt \
+		  compeng.txt \
+		  geogra2.txt \
+		  vornam2.txt \
+		  namen.txt
 
 #
 # The following variables may be overridden by the superior Makefile,
@@ -118,7 +141,7 @@ AFFIXES	=	deutsch.aff
 #
 SHELLDEBUG = +vx
 
-all:	deutsch.hash
+all:	deutschmed.hash deutschlxg.hash
 
 install: all $(CONFIG)
 	@. $(CONFIG); \
@@ -126,21 +149,28 @@ install: all $(CONFIG)
 	  cd ../..; \
 	  [ -d $$LIBDIR ]  || \
 	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
-	  cd $$LIBDIR; rm -f deutsch.aff deutsch.hash
+	  cd $$LIBDIR; rm -f deutsch.aff deutschmed.hash deutschlxg.hash
 	@. $(CONFIG); \
 	  set -x; \
-	  cp deutsch.aff deutsch.hash \
+	  cp deutsch.aff deutschmed.hash deutschlxg.hash \
 	    `cd ../..; cd $$LIBDIR; pwd`
 	@. $(CONFIG); \
 	  set -x; \
 	  cd ../..; cd $$LIBDIR; \
-	  chmod 644 deutsch.aff deutsch.hash
+	  chmod 644 deutsch.aff deutschmed.hash deutschlxg.hash
 
-deutsch.hash:	$(BUILDHASH) $(AFFIXES) deutsch.dict
-	rm -f deutsch.hash
-	$(BUILDHASH) deutsch.dict $(AFFIXES) deutsch.hash
+deutschmed.hash:	$(BUILDHASH) $(AFFIXES) deutsch.med
+	rm -f deutschmed.hash
+	$(BUILDHASH) deutsch.med $(AFFIXES) deutschmed.hash
 
-$(AFFIXES):	deutsch.7bit $(FIX8BIT)
+deutschlxg.hash:	$(BUILDHASH) $(AFFIXES) deutsch.lxg
+	rm -f deutschlxg.hash
+	$(BUILDHASH) deutsch.lxg $(AFFIXES) deutschlxg.hash
+
+$(AFFIXES):	deutsch.aff-hk $(FIX8BIT)
+	$(FIX8BIT) -8 < deutsch.aff-hk > $(AFFIXES)
+
+deutsch-isp.aff:	deutsch.7bit $(FIX8BIT)
 	$(FIX8BIT) -8 < deutsch.7bit > $(AFFIXES)
 
 deutsch-alt.aff:	deutsch-alt.7bit $(FIX8BIT)
@@ -149,10 +179,17 @@ deutsch-alt.aff:	deutsch-alt.7bit $(FIX8
 $(FIX8BIT):	../fix8bit.c
 	cd ..; $(MAKE) fix8bit
 
-deutsch.dict:	$(DICTALWAYS) $(DICTOPTIONS)
-	. $(CONFIG); \
-	  eval sort -f -o deutsch.dict $$MAKE_SORTTMP \
-	    $(DICTALWAYS) $(DICTOPTIONS)
+deutsch.med:	$(DICTALWAYS) README $(AFFIXES)
+	@. $(CONFIG); \
+	  set -x; \
+	  eval sort -u -t/ +0f -1 +0 $$MAKE_SORTTMP -o deutsch.med \
+	    $(DICTALWAYS)
+
+deutsch.lxg:	$(DICTALWAYS) $(DICTXLARGE) README $(AFFIXES)
+	@. $(CONFIG); \
+	  set -x; \
+	  eval sort -u -t/ +0f -1 +0 $$MAKE_SORTTMP -o deutsch.lxg \
+	    $(DICTALWAYS) $(DICTXLARGE)
 
 #
 #	The following dependency can be executed when ispell is unpacked,
@@ -176,7 +213,7 @@ kitclean:
 #	dictionary file.
 #
 dictclean:
-	rm -f deutsch.dict
+	rm -f deutsch.med deutsch.lxg
 
 #	required to be present in all other language Makefiles as
 #	well, even though it doesn't have to do anything in those
--- languages/english/english.5X
+++ languages/english/english.5X	2007-05-31 17:22:22.777163622 +0200
@@ -56,7 +56,7 @@
 .\" Get rid of all old RCS log lines in preparation for the 3.1 release.
 .\"
 .\"
-.TH ENGLISH 4
+.TH ENGLISH !!MAN45SECT!!
 .SH NAME
 english \- flag format for English \fIispell\fP dictionaries
 .SH DESCRIPTION
@@ -66,7 +66,7 @@ supports 3 prefix and 14 suffix flags.
 For a detailed description of how
 .I ispell
 handles flags and capitalization, see
-.IR ispell (4).
+.IR ispell (!!MAN45SECT!!).
 This manual page only describes flags usable in dictionaries built
 using the
 .I english.aff
@@ -85,7 +85,7 @@ produced by placing the "D" flag on "we"
 .PP
 In the following list, an asterisk indicates that a flag participates in
 cross-product formation (see
-.IR ispell (4)).
+.IR ispell (!!MAN45SECT!!)).
 .PP
 The meaning of the prefix flags is as follows:
 .IP "*A"
--- languages/espanol/Makefile
+++ languages/espanol/Makefile	2007-05-31 17:23:30.544365139 +0200
@@ -58,6 +58,7 @@ MAKE = make
 CONFIG		=	../../config.sh
 PATHADDER	=	../..
 BUILDHASH	=	../../buildhash
+UNSQ		=	../../unsq
 FIX8BIT		=	../fix8bit
 
 #
@@ -65,7 +66,7 @@ FIX8BIT		=	../fix8bit
 # numerous languages.
 #
 LANGUAGE	=	espanol
-DICTIONARY	=	$(LANGUAGE).words
+DICTIONARY	=	$(LANGUAGE).dicts
 HASHFILE	=	$(LANGUAGE).hash
 
 #
@@ -85,6 +86,19 @@ all:	$(HASHFILE)
 install: all $(CONFIG)
 	@. $(CONFIG); \
 	  set -x; \
+	  [ -d $$LIBDIR ]  ||  (mkdir $$LIBDIR; chmod 755 $$LIBDIR); \
+	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
+	@. $(CONFIG); \
+	  set -x; \
+	  cp $(LANGUAGE).aff $(HASHFILE) $$LIBDIR
+	@. $(CONFIG); \
+	  set -x; \
+	  cd $$LIBDIR; \
+	  chmod 644 $(LANGUAGE).aff $(HASHFILE)
+
+install: all $(CONFIG)
+	@. $(CONFIG); \
+	  set -x; \
 	  cd ../..; \
 	  [ -d $$LIBDIR ]  || \
 	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
--- languages/portugues/Makefile
+++ languages/portugues/Makefile	2007-05-31 17:24:27.034367889 +0200
@@ -72,6 +72,7 @@ MAKE = make
 CONFIG		=	../../config.sh
 PATHADDER	=	../..
 BUILDHASH	=	../../buildhash
+UNSQ		=	../../unsq
 FIX8BIT		=	../fix8bit
 
 #
@@ -99,6 +100,19 @@ all:	$(HASHFILE)
 install: all $(CONFIG)
 	@. $(CONFIG); \
 	  set -x; \
+	  [ -d $$LIBDIR ]  ||  (mkdir $$LIBDIR; chmod 755 $$LIBDIR); \
+	  cd $$LIBDIR; rm -f $(LANGUAGE).aff $(HASHFILE)
+	@. $(CONFIG); \
+	  set -x; \
+	  cp $(LANGUAGE).aff $(HASHFILE) $$LIBDIR
+	@. $(CONFIG); \
+	  set -x; \
+	  cd $$LIBDIR; \
+	  chmod 644 $(LANGUAGE).aff $(HASHFILE)
+
+install: all $(CONFIG)
+	@. $(CONFIG); \
+	  set -x; \
 	  cd ../..; \
 	  [ -d $$LIBDIR ]  || \
 	    $(MAKE) -f ../../Makefile NEWDIR=$$LIBDIR mkdirpath; \
